/*
 * hmi.cpp
 *
 *  Created on: 02.03.2016
 *      Author: dehottgw
 */

#include "hmi.h"

using namespace HmiNS;

Hmi::Hmi() : m_tft(LCD_CS, LCD_CD, LCD_WR, LCD_RD, LCD_RESET),
		m_displayIdentifier(0) {

	for (uint8_t i = 0; i < NUM_OF_MESSAGESLOTS; i++) {
		memset(m_messageSlots[i].header, 0, BUFFERLEN_MESSAGESLOT);
		memset(m_messageSlots[i].body, 0, BUFFERLEN_MESSAGESLOT);
		m_messageSlots[i].timestamp = 0;
	}

}

void Hmi::begin() {
	m_tft.reset();
	m_displayIdentifier = m_tft.readID();
	m_tft.begin(m_displayIdentifier);
	m_tft.setRotation(1);

}

void Hmi::exec() {

}
